num_cond = size(points,1)/4;
spacedist_cond = zeros(num_cond,1);

for i = 1:num_cond;
    j = 4*(i-1);
    spacedist_cond(i) = pdist(points(j+1:j+2,:))  + pdist(points(j+2:j+3,:)) + pdist(points(j+3:j+4,:));
end


figure;
width = 0.9;
colors = distinguishable_colors(41); %generate maximally perceptually-distinct colors

barh(flipud(spacedist_cond),width);
ylim([1 41]);
NumTicks = 41;
L = get(gca,'YLim');
set(gca,'YTick',linspace(L(1),L(2),NumTicks))
%set(gca,'YTickLabel',flipud(name_dynamical_conditions));
set(gca,'YTickLabel',1:41);



colors_reversed = flipud(colors);
y = flipud(spacedist_cond);                  %The data.
%s = [.3; .2; .6];                   %The standard deviation.
fHand = figure;
aHand = axes('parent', fHand);
hold(aHand, 'on')
%colors = hsv(numel(y));
for i = 1:numel(y)
    barh(i, y(i), 'parent', aHand, 'facecolor', colors_reversed(i,:));
end
 
%set(gca, 'YTick', 1:numel(y), 'YTickLabel', flipud(name_dynamical_conditions));
set(gca, 'YTick', 1:numel(y), 'YTickLabel', numel(y):-1:1);
set(gca, 'TickLabelInterpreter', 'none');


ylim([1 numel(spacedist_cond)]);
xlim([0 ceil(max(spacedist_cond))]);
%errorbar(y,s,'r');
%text( max(spacedist_cond).*ones(1,41) + 1 , 41:-1:1,num2str(y) ,  'backgroundcolor','white');  %writes the array of values with a single instruction
 

set(gca, 'fontName', 'Helvetica'); 
set(findall(gcf,'type','XTickLabel'),'fontName','Helvetica','fontSize',11)
set(findall(gcf,'type','YTickLabel'),'fontName','Helvetica','fontSize',11)
set(findall(gcf,'type','text'),'fontName','Helvetica','fontSize',11)

[blanks_column{1:41}] = deal(blanks(25));   %creates a column with blank strings
set(gca, 'YTickLabel', strcat(get(gca,'YTickLabel'), blanks_column'));  %adds these blank strings at the end of every y tick label so as to create space between the labels and the Y axis
%t = text(  -1.*ones(1,41) , 41:-1:1,flipud(num2str(y)) ,  'EdgeColor',ciao', 'fontName','Helvetica', 'Color', 'black', 'FontSize', 9,  'Margin',0.1, 'HorizontalAlignment','right');  %writes the array of values with a single instruction
for i =1:41
    t = text(  -1 , 42-i,num2str(y(42-i)) ,  'EdgeColor',colors(i,:), 'fontName','Helvetica', 'Color', 'black', 'FontSize', 9,  'Margin',0.1, 'HorizontalAlignment','right');  %writes the array of values with a single instruction
end
set(t, 'Interpreter', 'none');


