%% Preparing the data
X = fluxes;
reaction_pathway_association = fbamodel.subSystem;
K = reaction_pathway_association.reactions_subsystems';
data.X = X;
data.K = K;
R = size(data.X,1); 
C = size(data.X,2);
P = size(data.K,2);
%% Setting model hyperparameter
model0.hyperparameters.alphaEpsilon = 1;
model0.hyperparameters.betaEpsilon = 1;
model0.hyperparameters.alphaB = 1;
model0.hyperparameters.betaB = 1;
model0.hyperparameters.Eta = [1,1]';
model0.hyperparameters.nu = P;
model0.hyperparameters.Psi = eye(P);

%% Initializing model parameters
model0.tauEpsilon = gamrnd(model0.hyperparameters.alphaEpsilon,model0.hyperparameters.betaEpsilon);
model0.B = randn(R,P);
model0.tauB = gamrnd(model0.hyperparameters.alphaB,model0.hyperparameters.betaB);
model0.S = randn(P,C);
model0.Phi = wishrnd(model0.hyperparameters.Psi,model0.hyperparameters.nu);
%% Setting model controllers
control.iterNo = 10000;
control.sampleNo = 10;
control.burnNo = 5000;
control.showIter = 1;
control.init = true;
%% Running Gibbs sampling
tic;
[model] = Bayes(data,model0,control);
timeGibbs = toc;

