function [v1 out] = process_conditions(microarray_data, num_cond, geni,posizione_gene, fbamodel, oxygen_without_replicates, glucose_without_replicates, reaction_expression, gene_importance)


% import microarray data of the cond-th condition and save it into
% dati_micro
dati_micro = zeros(length(geni),1);
for i=1:length(geni)
    if isempty(posizione_gene{i})
        dati_micro(i) = 1;
    else
        dati_micro(i) = microarray_data(posizione_gene{i});
    end
    
end



%% 
%set glucose and oxygen,in fbamodel, and eventually run the model to get
%the two objectives

ind_glc = find(ismember(fbamodel.rxns,'EX_glc(e)'),1);
ind_oxy = find(ismember(fbamodel.rxns,'EX_o2(e)'),1);


if strcmp(oxygen_without_replicates{num_cond},'aerobic')==1
    fbamodel.vmin(ind_oxy) = -10 ;
else
    fbamodel.vmin(ind_oxy) = 0 ;
end
        
if isempty(glucose_without_replicates{num_cond})
    fbamodel.vmin(ind_glc) = -10 ;
else
    fbamodel.vmin(ind_glc) = -str2double(glucose_without_replicates{num_cond}) ;
end

    

M = 2; %number of objectives
V = length(geni);

[v1, out] = evaluate_objective(dati_micro, M, V, fbamodel, geni, reaction_expression, gene_importance);
